/*
 * Copyright (c) 1998 Qualcomm Incorporated. All rights reserved.
 *
 * File        : main.c
 * Project     : Delivery agent implementing "On Server Filtering".
 * Comments    : 
 *
 * Revisions   :
 *  xx/xx/xx   [PY]
 *         - File added.
 *
 */

#include <config.h>

/* Implicit in all the functions is the message */


extern int AppendToMBox __PROTO((void));
extern int AppendToFile __PROTO((char *file_name));
extern int Submit __PROTO((char *msg_buffer));
extern int RouteMessage __PROTO((RFC821AddrP addr));
extern int ForwardMessage __PROTO((char *msg_buff, AddrP addr));
extern RFC822HEADERHANDLE GetFirstHeader __PROTO((char *header_name, char *buffer, int *));
